ENCODE_RS8(9)

NAME
encode_rs8 - Calculate the parity for data values (8bit data width)

SYNOPSIS

int encode_rs8 (struct rs_control * rs, uint8_t * data, int len, uint16_t * par, uint16_t invmsk);

ARGUMENTS

rs  the rs control structure

data
    data field of a given type

len data length

par parity data, must be initialized by caller (usually all 0)

invmsk
    invert data mask (will be xored on data)

DESCRIPTION

The parity uses a uint16_t data type to enable symbol size > 8. The calling code must take care of encoding of the syndrome result for storage itself.

DESCRIPTION

The parity uses a uint16_t data type to enable symbol size > 8. The calling code must take care of encoding of the syndrome result for storage itself.

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.